=== modified file 'revisionview.py'
--- revisionview.py	2008-03-30 15:58:52 +0000
+++ revisionview.py	2008-03-30 16:47:06 +0000
@@ -32,6 +32,7 @@
 gtk.link_button_set_uri_hook(_open_link)
 
 class BugsTab(gtk.Table):
+
     def __init__(self):
         super(BugsTab, self).__init__(rows=5, columns=2)
         self.set_row_spacings(6)
@@ -56,6 +57,7 @@
 
 
 class SignatureTab(gtk.VBox):
+
     def __init__(self):
         from gpg import GPGSubprocess
         self.gpg = GPGSubprocess()
@@ -74,9 +76,9 @@
         signature_info.set_col_spacings(6)
 
         align = gtk.Alignment(1.0, 0.5)
-        label = gtk.Label()
-        label.set_markup("<b>Key Id:</b>")
-        align.add(label)
+        self.signature_key_id_label = gtk.Label()
+        self.signature_key_id_label.set_markup("<b>Key Id:</b>")
+        align.add(self.signature_key_id_label)
         signature_info.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
 
         align = gtk.Alignment(0.0, 0.5)
@@ -91,11 +93,13 @@
         self.show_all()
 
     def show_no_signature(self):
+        self.signature_key_id_label.hide()
         self.signature_key_id.set_text("")
         self.signature_image.set_from_file(icon_path("sign-unknown.png"))
         self.signature_label.set_text("This revision has not been signed.")
 
     def show_signature(self, text):
+        self.signature_key_id_label.show()
         signature = self.gpg.verify(text)
 
         if signature.key_id is not None:

